#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, x, p[100];
    int i=1, c=1, a=0;
    int br=0;
    printf("Unesite n\n");
    scanf("%d", &n);
    printf("Unesite k\n");
    scanf("%d", &k);
    printf("Unesite x\n");
    scanf("%d", &x);
    x=0;
    printf("Unesite niz p:\n");
    for(int j=0;j<n;j++){
        scanf("%d\n", &p[br++]);

    }
    printf("Niz p:\n");
     for(int j=0;j<br;j++){
        printf("%d ", p[j]);
    }
    printf("\n");
    for(int j=0;j<n-1;j++){
            if(n-1-(j-1)>=k){
                 for(int l=j;l<k;l++){
                   if(p[l]>0){
                     x=x+c*p[l];
                    }
                    else{
                        x=x+p[l];
                        c++;
                    }
            }
            printf("%d ", x);
            c=1;
            x=0;
            }

    }
    return 0;
}